Bug 239943 - devel/mill Update to 0.5.0
Summary: devel/mill Update to 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-18 16:08 UTC by Jens Grassel
Modified: 2019-08-23 19:42 UTC (History)
1 user (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
Patch to update devel/mill to version 0.5.0. (788 bytes, patch)
2019-08-18 16:08 UTC, Jens Grassel
no flags Details | Diff
mill.diff (981 bytes, patch)
2019-08-22 18:28 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Grassel 2019-08-18 16:08:24 UTC
Created attachment 206663 [details]
Patch to update devel/mill to version 0.5.0.

Hi,

I've attached a patch to update devel/mill to 0.5.0.

### Changelog

- several bug fixes
- ease declaration of optional dependencies
- use binary version of compiler bridge if available
- add ability to define jar manifest

Regards,

Jens
Comment 1 Tobias Kortkamp freebsd_committer 2019-08-22 10:25:31 UTC
So the new version has a size of 1 KB where the previous one was
~37 MB?  Something is clearly not right here.
Comment 2 Jens Grassel 2019-08-22 17:17:04 UTC
The author changed the script, so it will download itself into ${HOME}/.mill upon the first run. Which is somewhat annoying but I haven't seen a way to workaround this.

Regards,

Jens
Comment 3 Tobias Kortkamp freebsd_committer 2019-08-22 18:28:20 UTC
Created attachment 206796 [details]
mill.diff

I think the 1KB script is bad and makes the port pointless.

a. It uses curl to download the assembly
b. What is downloaded is not verified in any way.
c. The port becomes kind of useless since it now installs a script that
   basically does
   curl https://github.com/lihaoyi/mill/releases/download/0.5.0-assembly

Anyway the solution seems to be simple: We can just grab the assembly
ourselves and package that.  See the attached patch.
Comment 4 Jens Grassel 2019-08-23 09:00:18 UTC
Comment on attachment 206796 [details]
mill.diff

Looks good to me, thanks for the fix.
Comment 5 Wen Heping freebsd_committer 2019-08-23 09:25:21 UTC
(In reply to Tobias Kortkamp from comment #3)
I pass the PR to you :)

wen
Comment 6 Tobias Kortkamp freebsd_committer 2019-08-23 19:42:36 UTC
Committed. Thanks!
Comment 7 commit-hook freebsd_committer 2019-08-23 19:42:50 UTC
A commit references this bug:

Author: tobik
Date: Fri Aug 23 19:42:04 UTC 2019
New revision: 509655
URL: https://svnweb.freebsd.org/changeset/ports/509655

Log:
  devel/mill: Update to 0.5.0

  Changelog:
  - several bug fixes
  - ease declaration of optional dependencies
  - use binary version of compiler bridge if available
  - add ability to define jar manifest

  PR:		239943
  Submitted by:	Jens Grassel <freebsd-ports@jan0sch.de> (maintainer)

Changes:
  head/devel/mill/Makefile
  head/devel/mill/distinfo